package com.ruoyi.xq.enums.userauth;


import lombok.Getter;

import java.util.Arrays;

@Getter
public enum UserAuthJobAuthTypeEnum {
    QW(1,"企业微信"),
    OFFER(2,"offer"),
    JOB_CARD(3,"工作证"),
    ;
    private final Integer code;
    private final String text;

    UserAuthJobAuthTypeEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }

    public static UserAuthJobAuthTypeEnum getByCode(Integer code){
        return Arrays.stream(UserAuthJobAuthTypeEnum.values()).filter(i -> i.getCode().equals(code)).findFirst().orElse(null);
    }
}
